package net.jmchilton.spring.collect.jcf;

import net.jmchilton.spring.collect.BaseNamespaceHandler;

/**
 * This class serves as the {@link org.springframework.beans.factory.xml.NamespaceHandler} 
 * for the <a href="http://java.sun.com/docs/books/tutorial/collections/index.html">Java Collections Framework</a>
 * namespace. The superclass {@link BaseNamespaceHandler} contains all of the logic 
 * but fetches resources from the package containing this class. This 
 * class is registered as the {@link org.springframework.beans.factory.xml.NamespaceHandler} for the 
 * Java Collections Framework namespace as required by the Spring in the 
 * file {@code META-INF/spring.handlers}.
 *  
 * See <a href="../../../../../jcf-spec.html">this page</a> for a list 
 * and description of the XML elements that belong to this namespace and are
 * handled by this class.
 *  
 * @see BaseNamespaceHandler
 * @see org.springframework.beans.factory.xml.NamespaceHandlerSupport
 * @see org.springframework.beans.factory.xml.NamespaceHandler
 * @see <a href="http://java.sun.com/docs/books/tutorial/collections/index.html">Java Collections Framework</a>
 * 
 * @author John Chilton
 *
 */
public class JcfNamespaceHandler extends BaseNamespaceHandler {}
